:root {
  --color-start: rgba(108, 20, 0, 0.724);
  --color-mid: rgba(98, 2, 2, 0.788);
  --color-end: rgba(72, 0, 0, 0.695);

  
  --btn-color-start: #70009f;
  --btn-color-mid: #70009f;
  --btn-color-end: #3d0654;
}

body {
  background-image: linear-gradient(to bottom left, var(--color-start), var(--color-mid), var(--color-end));
  background-size: cover;
  background-position: center;
}


.btn-primary {
  background-image: linear-gradient(to bottom left, var(--btn-color-start), var(--btn-color-mid), var(--btn-color-end));
  border-color: var(--btn-color-mid);
  color: #fff;
}

.btn-primary:hover {
  background-image: linear-gradient(to bottom left, var(--btn-color-end), var(--btn-color-mid), var(--btn-color-start));
  border-color: var(--btn-color-end);
  color: #fff;
}

.btn-primary:focus,
.btn-primary:active {
  background-image: linear-gradient(to bottom left, var(--btn-color-start), var(--btn-color-mid), var(--btn-color-end));
  border-color: var(--btn-color-mid);
  color: #fff;
}

.btn-primary:disabled {
  background-image: linear-gradient(to bottom left, var(--btn-color-start), var(--btn-color-mid), var(--btn-color-end));
  border-color: var(--btn-color-mid);
  color: #fff;
  opacity: 0.65;
}

.card {
  backdrop-filter: blur(15px);
  background-color: rgba(57, 57, 57, 0.73);
  border: 1px solid rgba(255, 255, 255, 0.15);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  opacity: 0.9;
  animation: fadeIn 1s ease-in-out forwards;
}

.formStep {
  animation-duration: 0.5s;
  animation-fill-mode: both;
  animation-name: fadeIn;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #f4f4f4;
}

label {
  color: #f4f4f4;
}

#successMessage {
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 10px;
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.2);
}

#successMessage h4,
#successMessage p {
  color: rgba(255, 255, 255, 0.8);
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-20px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}